"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license.
// See LICENSE in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
exports.readResxAsLocFile = exports.readResxFileAsLocFile = void 0;
const node_core_library_1 = require("@rushstack/node-core-library");
const parseResx_1 = require("./parsers/parseResx");
/**
 * @deprecated
 *
 * Use {@link parseResx} instead.
 *
 * @public
 */
function readResxFileAsLocFile(options) {
    const content = node_core_library_1.FileSystem.readFile(options.resxFilePath);
    return (0, parseResx_1.parseResx)({
        ...options,
        content,
        filePath: options.resxFilePath,
        resxNewlineNormalization: options.newlineNormalization,
        ignoreMissingResxComments: !options.warnOnMissingComment
    });
}
exports.readResxFileAsLocFile = readResxFileAsLocFile;
/**
 * @deprecated
 *
 * Use {@link parseResx} instead.
 *
 * @public
 */
function readResxAsLocFile(resxContents, options) {
    return (0, parseResx_1.parseResx)({
        ...options,
        content: resxContents,
        filePath: options.resxFilePath,
        resxNewlineNormalization: options.newlineNormalization,
        ignoreMissingResxComments: !options.warnOnMissingComment
    });
}
exports.readResxAsLocFile = readResxAsLocFile;
//# sourceMappingURL=LegacyResxReader.js.map